javax.swing.plaf

## Class OptionPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.OptionPaneUI

Direct Known Subclasses:
  BasicOptionPaneUI, MultiOptionPaneUI

    public abstract class OptionPaneUI
    extends ComponentUI

Pluggable look and feel interface for JOptionPane.

### Constructor Summary

Constructors
Constructor and Description
`OptionPaneUI()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `containsCustomComponents(JOptionPane op)` Returns true if the user has supplied instances of Component for either the options or message.
`abstract void` `selectInitialValue(JOptionPane op)` Requests the component representing the default value to have focus.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptionPaneUI

    public OptionPaneUI()

### Method Detail

#### selectInitialValue

    public abstract void selectInitialValue(JOptionPane op)

Requests the component representing the default value to have focus.

#### containsCustomComponents

    public abstract boolean containsCustomComponents(JOptionPane op)

Returns true if the user has supplied instances of Component for either the options or message.